#
Prev |  | Next

# fontButton

## Name

fontButton -- A button to launch a font selection dialog.

## Synopsis

fontButton [`-option` `value`...]

## Screenshot

## Options

-data

  type: string

  User defined data which can be retrieved via the cget subcommand.

-font

  type: FONT

  Font to be used.

-hasFocus

  type: 1

  This sets the focus to the widget. To unset the focus it must be set to another widet.

-heightGroup

  type: string (default: "")

  heightGroup can be an arbitrary string. All widgets with the same heightGroup request the same height. If packed with the fill flag set, they will have nevertheless different heights.

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-onButtonPress

  type: string (default: "")

  Tcl command which is executed if a mouse button is press inside the widget. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name %t | type of event: one of buttonPress, button2Press or button3Press %x | x coordinate %y | y coordinate %b | button number %s | state of the buttons and modifiers (bitmask) TABLE

-onButtonRelease

  type: string (default: "")

  Tcl command which is executed if a mouse button is released inside the widget. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name %t | type of event: always buttonRelease %x | x coordinate %y | y coordinate %b | button number %s | state of the buttons and modifiers (bitmask) TABLE

-onClicked

  type: string (default: "")

  Tcl command which is executed if the button is clicked. Before evaluation the following percent strings are substituted: TABLE %% | % %w | widget name. TABLE

-onPopupMenu

  type: string (default: "")

  Tcl command which is executed if the "popup-menu" signal is recieved, which is normally the case if the user presses Shift-F10. Before evaluation the following percent strings are substituated: %w by widget name.

-onRealize

  type: string (default: "")

  Tcl command whih is executed in the global scope if the widget has been realized. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name. TABLE

-onShowHelp

  type: string (default: "")

  Tcl command which is executed in the global scope if the "show-help" signal is recieved, which is normally the case if the user presses F1 or Ctrl-F1. Before evaluation the following percent strings are substituated TABLE %% | % %w | widget name %h | help type: either "whatsThis" or "tooltip" TABLE

-relief

  type: ONEOF normal, half, none (default: normal)

  Relief of the button.

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

-showSize

  type: boolean (default: true)

  Whether to show the size of the font.

-showStyle

  type: boolean (default: true)

  Whether to show the style of the font.

-sizeGroup

  type: string (default: "")

  sizeGroup can be an arbitrary string. All widgets with the same sizeGroup request the same size. If packed with the fill flag set, they will have nevertheless different sizes.

-title

  type: string

  Title of the font selection dialog.

-tooltip

  type: string

  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

-widthGroup

  type: string (default: "")

  widthGroup can be an arbitrary string. All widgets with the same widthGroup request the same width. If packed with the fill flag set, they will have nevertheless different widths.

## Description

A button widget which launches a font selection dialog. This command is available since GTK+ 2.4.

## Commands

`id` cget `option`

  Returns the value for one option. The option may have any of the values accepted by configure.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

`id` delete

  Deletes the widget and the associated tcl command.

`id` onClicked

  Executes the Tcl command associated with the button if there is one. This command is ignored if the button's state is not sensitive.

## Example

    set button [gnocl::fontButton -title "Gnocl default font" -font "Serif Sans 14"]
    gnocl::window -title "fontButton" -child $button

results in

## See also

colorButton, `GtkFontButton`

Prev | Home | Next
fileChooser | Up | fontSelection